Bug 192254 - does not create /etc/X11/XvMCConfig
does not create /etc/X11/XvMCConfig
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libXvMC (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-18 12:39 EDT by Chris Petersen
Modified: 2011-02-12 18:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-06 04:41:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Petersen 2006-05-18 12:39:14 EDT
Description of problem:

Not sure if this is a missing config in the X server that prevents it from
detecting XvMC or not, but because the library doesn't get a valid response from
the server, it needs to have the /etc/X11/XvMCConfig file present in order for
client programs to know which kind of XvMC to enable.  I haven't tested with
other apps, but mythtv definitely needs this file present in order to enable
XvMC support at runtime.

Version-Release number of selected component (if applicable):

libXvMC-1.0.1-3
Comment 1 Mike A. Harris 2006-05-23 10:29:32 EDT
You have to create your own XvMCConfig.  Having said that, the package should
still have ownership of the file.  I will add a %ghost %config entry to the
package for this.
Comment 2 Chris Petersen 2006-05-23 12:47:37 EDT
Maybe this is just a difference in versions, but looking back at the atrpms
package from before xvmcw was included in fedora, I see that the package did
create the XvMCConfig file:

http://dl.atrpms.net/all/libXvMCW.spec

But yes, at least owning the file would be good so I can add it as a requirement
to the mythtv package and get around some ugly cross-version compatibility issues.
Comment 3 Mike A. Harris 2006-06-06 04:41:15 EDT
I've added XvMC to the package manifest as follows:

%ghost %config(missingok,noreplace) %verify (not md5 size mtime)
%{_sysconfdir}/X11/XvMCConfig

This means that if the user creates their own XvMCConfig, the rpm package
now owns the file, and it is properly flagged as a config file, etc.

The user still has to create the file themselves however.

Added to libXvMC-1.0.2-1 in rawhide.

Comment 4 Mike A. Harris 2006-06-06 04:43:52 EDT
Er, I mean 1.0.2-2
Comment 5 Robert Hinson 2011-02-12 18:09:35 EST
I go to look at the /etc/X11/XvMCConfig file and it isn't there.  You say you have to create it.  But if you look in the:

Name        : libXvMC                      Relocations: (not relocatable)
Version     : 1.0.5                             Vendor: Fedora Project
Release     : 1.fc13                        Build Date: Wed 07 Oct 2009 02:18:42 PM CDT
Install Date: Fri 22 Oct 2010 01:16:35 PM CDT      Build Host: x86-7.fedora.phx.redhat.com
Group       : System Environment/Libraries   Source RPM: libXvMC-1.0.5-1.fc13.src.rpm
Size        : 40799                            License: MIT
Signature   : RSA/SHA256, Tue 27 Jul 2010 05:36:43 AM CDT, Key ID 421caddb97a1071f
Packager    : Fedora Project
URL         : http://www.x.org
Summary     : X.Org X11 libXvMC runtime library
Description :
X.Org X11 libXvMC runtime library
/etc/X11/XvMCConfig
/usr/lib/libXvMC.so.1
/usr/lib/libXvMC.so.1.0.0
/usr/lib/libXvMCW.so.1
/usr/lib/libXvMCW.so.1.0.0
/usr/share/doc/libXvMC-1.0.5
/usr/share/doc/libXvMC-1.0.5/AUTHORS
/usr/share/doc/libXvMC-1.0.5/COPYING
/usr/share/doc/libXvMC-1.0.5/ChangeLog
/usr/share/doc/libXvMC-1.0.5/README

You see that the file is in the package.  But when I install or reinstall the package, the file isn't there.

Note You need to log in before you can comment on or make changes to this bug.